Name:          glassfish-toplink-essentials
Version:       2.0.46
Release:       %mkrel 13
Group:         Development/Java
Summary:       Glassfish JPA Toplink Essentials
License:       CDDL or GPLv2 with exceptions
URL:           http://glassfish.java.net/javaee5/persistence/
Source0:       http://dlc.sun.com.edgesuite.net/javaee5/promoted/source/glassfish-persistence-v2-b46-src.zip
# wget http://download.java.net/javaee5/v2.1.1_branch/promoted/source/glassfish-v2.1.1-b31g-src.zip
# unzip glassfish-v2.1.1-b31g-src.zip
# mkdir -p glassfish-bootstrap
# mv glassfish/bootstrap/* glassfish-bootstrap
# tar czf glassfish-bootstrap.tar.gz glassfish-bootstrap
Source1:       glassfish-bootstrap.tar.gz
# fix javadoc build
Patch0:        glassfish-entity-persistence-build.patch

Patch1:        glassfish-persistence-2.0.41-jdk7.patch
Patch2:        glassfish-persistence-2.0.41-agent-remove-manifest-classpath.patch
Patch3:        glassfish-persistence-2.0.41-use_system_antlr.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: antlr-tool
BuildRequires: geronimo-jta
BuildRequires: geronimo-jpa

Requires:      antlr-tool
Requires:      geronimo-jpa
Requires:      geronimo-jta

Requires:      jpackage-utils
BuildArch:     noarch

%description
Glassfish Persistence Implementation.

%package javadoc
Summary:       Javadoc for %{name} Implementation

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c

tar xzf %{SOURCE1}
mv glassfish-bootstrap glassfish/bootstrap
find . -name "*.class" -delete
find . -name "*.jar" -delete

%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3

sed -i -e 's/@VERSION@/%{version}/' glassfish/entity-persistence/toplink-essentials.pom
sed -i -e 's/@VERSION@/%{version}/' glassfish/entity-persistence/toplink-essentials-agent.pom

cd glassfish/bootstrap/legal
for d in CDDLv1.0.txt LICENSE.txt COPYRIGHT 3RD-PARTY-LICENSE.txt ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

%build

pushd glassfish/entity-persistence
  export CLASSPATH=$(build-classpath geronimo-jpa)
  %ant -Djavaee.jar=$(build-classpath geronimo-jta) -Dglassfish.schemas.home=$PWD/../persistence-api/schemas all docs
popd

%install

mkdir -p %{buildroot}%{_javadir}/glassfish
install -m 644 publish/glassfish/lib/toplink-essentials.jar %{buildroot}%{_javadir}/%{name}.jar
install -m 644 publish/glassfish/lib/toplink-essentials-agent.jar %{buildroot}%{_javadir}/%{name}-agent.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 glassfish/entity-persistence/toplink-essentials.pom \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
install -pm 644 glassfish/entity-persistence/toplink-essentials-agent.pom \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}-agent.pom
%add_maven_depmap JPP-%{name}-agent.pom %{name}-agent.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr glassfish/entity-persistence/build/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%license glassfish/bootstrap/legal/*

%files javadoc
%{_javadocdir}/%{name}
%license glassfish/bootstrap/legal/3RD-PARTY-LICENSE*.txt
%license glassfish/bootstrap/legal/CDDL*.txt
%license glassfish/bootstrap/legal/COPYRIGHT
%license glassfish/bootstrap/legal/LICENSE.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 2.0.46-13.mga6
+ Revision: 982512
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.0.46-12.mga6
+ Revision: 976285
- First rebuild of the java stack
- sync package glassfish-toplink-essentials with fedora

* Tue Feb 09 2016 umeabot <umeabot> 2.0.46-10.mga6
+ Revision: 952016
- Mageia 6 Mass Rebuild

* Tue Jan 13 2015 pterjan <pterjan> 2.0.46-9.mga5
+ Revision: 810245
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 2.0.46-8.mga5
+ Revision: 748868
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.46-7.mga5
+ Revision: 679636
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.46-6.mga4
+ Revision: 504951
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.46-5.mga3
+ Revision: 351771
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 2.0.46-4.mga3
+ Revision: 291900
- imported package glassfish-toplink-essentials


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.46-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 28 2012 gil cattaneo <puntogil@libero.it> 2.0.46-3
- moved in files in %%{_javadir}
- fixed Url and source0 url

* Thu Jun 28 2012 gil cattaneo <puntogil@libero.it> 2.0.46-2
- change license tag

* Thu May 24 2012 gil cattaneo <puntogil@libero.it> 2.0.46-1
- update to 2.0.46

* Fri Apr 06 2012 gil cattaneo <puntogil@libero.it> 2.0.41-1
- initial rpm
